%define upstream_name    MooseX-Aliases
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Attribute metaclass trait for L<MooseX::Aliases>
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose) >= 1.90.0
BuildRequires: perl(Test::Fatal) >= 0.3.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildArch:  noarch

%{?perl_default_filter}

%description
The MooseX::Aliases module will allow you to quickly alias methods in
Moose. It provides an alias parameter for 'has()' to generate aliased
accessors as well as the standard ones. Attributes can also be initialized
in the constructor via their aliased names.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.110.0-10.mga8
+ Revision: 1495655
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.110.0-9.mga7
+ Revision: 1269585
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-8.mga6
+ Revision: 1030320
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.110.0-7.mga6
+ Revision: 949734
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.110.0-6.mga5
+ Revision: 790402
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-5.mga5
+ Revision: 745369
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.110.0-4.mga5
+ Revision: 735776
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-3.mga5
+ Revision: 685512
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.110.0-2.mga4
+ Revision: 530007
- Mageia 4 Mass Rebuild

* Mon Jul 15 2013 sander85 <sander85> 0.110.0-1.mga4
+ Revision: 454682
- update to 0.11

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 370130
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.100.0-1.mga2
+ Revision: 107098
- update to 0.10

* Wed Feb 16 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 52339
- update to 0.09

* Thu Jan 20 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 26646
- mageia rebuild
- imported package perl-MooseX-Aliases

